### Method

# Camel NetworkSettings set_user

since: 3.4

#### Declaration [src]

    void
    camel_network_settings_set_user (
      CamelNetworkSettings* settings,
      const gchar* user
    )

#### Description [src]

Sets the user name used to authenticate to a network service. The `CamelNetworkSettings:user` property is automatically stripped of leading and trailing whitespace.

Available since: 3.4

Sets property | `Camel.NetworkSettings:user`

#### Parameters

`user`

  Type: `const gchar*`

  A user name, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.